# MPI_File_read_at_c

Read using explicit offset

## Synopsis

    int MPI_File_read_at_c(MPI_File fh, MPI_Offset offset, void *buf,
                           MPI_Count count, MPI_Datatype datatype, MPI_Status * status)

## Input Parameters

fh
  file handle (handle)

offset
  file offset (nonnegative integer)

count
  number of elements in buffer (nonnegative integer)

datatype
  datatype of each buffer element (handle)

## Output Parameters

buf
  initial address of buffer (choice)

status
  status object (Status)

## Notes for Fortran

All MPI routines in Fortran (except for `MPI_WTIME` and `MPI_WTICK`) have an additional argument `ierr` at the end of the argument list. `ierr` is an integer and has the same meaning as the return value of the routine in C. In Fortran, MPI routines are subroutines, and are invoked with the `call` statement.

All MPI objects (e.g., `MPI_Datatype`, `MPI_Comm`) are of type `INTEGER` in Fortran.